package net.knarcraft.serverlauncher.profile;

import net.knarcraft.serverlauncher.server.Server;
import net.knarcraft.serverlauncher.userinterface.GUI;
import net.knarcraft.serverlauncher.userinterface.ServerConsoles;
import net.knarcraft.serverlauncher.userinterface.ServerTab;
import net.knarcraft.serverlauncher.userinterface.Console;


public class Collection {
    private Server server;
    private ServerTab serverTab;
    private Console serverConsole;
    private String name;

    public Collection(String name) {
        this.serverTab = new ServerTab(name);
        this.server = new Server(name, GUI.getGUI(), this.serverTab);
        this.serverConsole = ServerConsoles.getGUI().addTab(name);
    }

    public String getName() {
        return this.name;
    }

    public Server getServer() {
        return this.server;
    }

    public ServerTab getServerTab() {
        return  this.serverTab;
    }

    public Console getServerConsole() {
        return this.serverConsole;
    }
}
